- block:
  - name: "Reads Dashboard {{ dashboard_name }}"
    args:
      chdir: "{{ role_path }}/files/dashboards"
    changed_when: False
    failed_when: False
    shell: "cat {{ dashboard_name }}.json"
    register: dashdata
  - name: "Parses Dashboard {{ dashboard_name }}"
    set_fact:
      dashboards_index: "{{ dashboards_index
                            + [ dashdata.stdout | from_json ] }}"
    when:
    - dashdata is defined
    - dashdata.stdout_lines is defined
    - dashdata.stdout_lines | length > 0
  when:
  - dashboard_name is defined
  - role_path is defined
